/*
 * This file is generated by jOOQ.
 */
package de.ship.db.enums;


import de.ship.db.CommonDd;

import org.jooq.Catalog;
import org.jooq.EnumType;
import org.jooq.Schema;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public enum EnumFunctioncategory implements EnumType {

    unknown("unknown"),

    missing_values("missing values"),

    extreme_values("extreme values"),

    time_trends("time trends"),

    observer_2fdevice_2freader_differences("observer/device/reader differences"),

    descriptive_statistics("descriptive statistics");

    private final String literal;

    private EnumFunctioncategory(String literal) {
        this.literal = literal;
    }

    @Override
    public Catalog getCatalog() {
        return getSchema().getCatalog();
    }

    @Override
    public Schema getSchema() {
        return CommonDd.COMMON_DD;
    }

    @Override
    public String getName() {
        return "enum_functioncategory";
    }

    @Override
    public String getLiteral() {
        return literal;
    }

    /**
     * Lookup a value of this EnumType by its literal. Returns
     * <code>null</code>, if no such value could be found, see {@link
     * EnumType#lookupLiteral(Class, String)}.
     */
    public static EnumFunctioncategory lookupLiteral(String literal) {
        return EnumType.lookupLiteral(EnumFunctioncategory.class, literal);
    }
}
